//
//  UMPrometheusMetric.h
//  mm
//
//  Created by Andreas Fink on 27.05.21.
//

#import <ulib/ulib.h>

@class UMPrometheusMetric;
@class UMPrometheus;

@protocol UMPrometheusDataSourceProtocol
-(void)updatePrometheusData:(UMPrometheusMetric *)metric;
@end

@interface UMPrometheusMetric : UMObject
{
    UMPrometheus *_parent;
    NSString *_metricName;
    NSString *_subname1;
    NSString *_subvalue1;
    NSString *_subname2;
    NSString *_subvalue2;
    NSString *_subname3;
    NSString *_subvalue3;
    NSString *_explanation;
    NSString *_help;
    NSString *_metricType;
    NSNumber *_value;
    NSDate *_timestamp;
    id<UMPrometheusDataSourceProtocol> _delegate;
}

@property(readwrite,strong) UMPrometheus *parent;
@property(readwrite,strong) NSString *metricName;
@property(readwrite,strong) NSString *subname1;
@property(readwrite,strong) NSString *subvalue1;
@property(readwrite,strong) NSString *subname2;
@property(readwrite,strong) NSString *subvalue2;
@property(readwrite,strong) NSString *subname3;
@property(readwrite,strong) NSString *subvalue3;
@property(readwrite,strong) NSString *explanation;
@property(readwrite,strong) NSString *help;
@property(readwrite,strong) NSString *metricType;
@property(readwrite,strong) NSNumber *value;
@property(readwrite,strong) NSDate *timestamp;
@property(readwrite,strong) id<UMPrometheusDataSourceProtocol> delegate;

- (void)update;
- (NSString *)key;

@end

